Localisation (SelekTOR Java Documentation)
Date: 2017-04-14

lib

## Class Localisation

- java.lang.Object
- - lib.Localisation

-     public final class Localisation
      extends java.lang.Object

  Author:
    Alistair Neil,

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Localisation(java.lang.String resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayCountry(java.lang.String iso2)` Get the country name for supplied iso2 code
    `java.util.Locale` | `getLocale()` Get the locale
    `java.lang.String` | `getString(java.lang.String key)` Get localised string using given key
    `java.lang.String[]` | `getStrings(java.lang.String... keys)` Get an array of localised strings using a key array or multiple keys
    `java.lang.String` | `toWebLanguageTag()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Localisation

          public Localisation(java.lang.String resource)

  - ### Method Detail

    - #### getLocale

          public java.util.Locale getLocale()

      Get the locale
      Returns:
        The locale

    - #### toWebLanguageTag

          public java.lang.String toWebLanguageTag()

    - #### getDisplayCountry

          public java.lang.String getDisplayCountry(java.lang.String iso2)

      Get the country name for supplied iso2 code
      Parameters:
        `iso2` -
      Returns:
        Localised country name

    - #### getString

          public java.lang.String getString(java.lang.String key)

      Get localised string using given key
      Parameters:
        `key` -
      Returns:
        localised string

    - #### getStrings

          public java.lang.String[] getStrings(java.lang.String... keys)

      Get an array of localised strings using a key array or multiple keys
      Parameters:
        `keys` -
      Returns:
        localised string array